Main Page Alphabetical List Compound List File List Compound Members File Members

# support.h File Reference

`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <X11/Xlib.h>`
`#include <X11/XKBlib.h>`
`#include <X11/extensions/XKBfile.h>`
`#include "supportpriv.h"`
`#include "defines.h"`

Go to the source code of this file.

## Compounds
struct | EAKeyboard
struct | strEAkey
## Defines
#define | textdomain(String) (String)
#define | gettext(String) (String)
#define | dgettext(Domain, Message) (Message)
#define | dcgettext(Domain, Message, Type) (Message)
#define | bindtextdomain(Domain, Directory) (Domain)
#define | _(String) (String)
#define | N_(String) (String)
## Typedefs
typedef strEAkey | EAkey
## Functions
int | parseconffile (void)
int | parsedeffile (void)
int | initEAK (void)
void | cleanKeylist (void)
int | cleanexit (void)
gboolean | backup_conffile (void)
gboolean | restore_conffile (void)
gboolean | save_conffile (void)
gint | get_lineakd_pid (void)
## Variables
EAKeyboard | myEAK
gboolean | changing_text_from_signal = FALSE
char * | kbtype
char * | cdromdev
int | selected_key

## Define Documentation

#define _ | ( | String |  | ) | (String)

#define bindtextdomain | ( | Domain,
|  | Directory |  | ) | (Domain)

#define dcgettext | ( | Domain,
|  | Message,
|  | Type |  | ) | (Message)

#define dgettext | ( | Domain,
|  | Message |  | ) | (Message)

#define gettext | ( | String |  | ) | (String)

#define N_ | ( | String |  | ) | (String)

#define textdomain | ( | String |  | ) | (String)

## Typedef Documentation

typedef struct strEAkey EAkey

## Function Documentation

gboolean backup_conffile | ( | void |  | ) |

int cleanexit | ( | void |  | ) |

void cleanKeylist | ( | void |  | ) |

gint get_lineakd_pid | ( | void |  | ) |

int initEAK | ( | void |  | ) |

int parseconffile | ( | void |  | ) |

int parsedeffile | ( | void |  | ) |

gboolean restore_conffile | ( | void |  | ) |

gboolean save_conffile | ( | void |  | ) |

## Variable Documentation

char * cdromdev

gboolean changing_text_from_signal = FALSE

char* kbtype

EAKeyboard myEAK

int selected_key